Bug 862870 - [abrt] orage-4.8.3-1.fc17: Process /usr/bin/orage was killed by signal 11 (SIGSEGV)
[abrt] orage-4.8.3-1.fc17: Process /usr/bin/orage was killed by signal 11 (SI...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: orage (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:ec2ad1899a7fe9cecc5e5a9e387...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 15:33 EDT by filp
Modified: 2013-08-01 13:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:33:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (2.37 KB, text/plain)
2012-10-03 15:34 EDT, filp
no flags Details
File: environ (2.21 KB, text/plain)
2012-10-03 15:34 EDT, filp
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-03 15:34 EDT, filp
no flags Details
File: backtrace (19.14 KB, text/plain)
2012-10-03 15:34 EDT, filp
no flags Details
File: cgroup (128 bytes, text/plain)
2012-10-03 15:34 EDT, filp
no flags Details
File: maps (25.21 KB, text/plain)
2012-10-03 15:34 EDT, filp
no flags Details
File: dso_list (4.49 KB, text/plain)
2012-10-03 15:34 EDT, filp
no flags Details
File: var_log_messages (317 bytes, text/plain)
2012-10-03 15:34 EDT, filp
no flags Details
File: open_fds (323 bytes, text/plain)
2012-10-03 15:34 EDT, filp
no flags Details

  None (edit)
Description filp 2012-10-03 15:33:58 EDT
Description of problem:
Selected from menu on previous login.
This occurance I suspect because started automatically by desktop.
Has not worked since upgrading with yum


Version-Release number of selected component:
orage-4.8.3-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        orage
crash_function: icaltimezone_load_builtin_timezone
kernel:         3.5.4-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 icaltimezone_load_builtin_timezone at icaltimezone.c
: #1 icaltimezone_ensure_coverage at icaltimezone.c
: #2 icaltimezone_get_utc_offset_of_utc_time at icaltimezone.c
: #3 icaltimezone_convert_time at icaltimezone.c
: #4 icaltime_convert_to_zone at icaltime.c
: #5 convert_to_local_timezone at ical-code.c
: #6 process_start_date at ical-code.c
: #7 get_appt_from_icalcomponent at ical-code.c
: #8 xfical_mark_calendar_from_component at ical-code.c
: #9 xfical_mark_calendar_file at ical-code.c
Comment 1 filp 2012-10-03 15:34:00 EDT
Created attachment 621090 [details]
File: core_backtrace
Comment 2 filp 2012-10-03 15:34:01 EDT
Created attachment 621091 [details]
File: environ
Comment 3 filp 2012-10-03 15:34:03 EDT
Created attachment 621092 [details]
File: limits
Comment 4 filp 2012-10-03 15:34:05 EDT
Created attachment 621093 [details]
File: backtrace
Comment 5 filp 2012-10-03 15:34:07 EDT
Created attachment 621094 [details]
File: cgroup
Comment 6 filp 2012-10-03 15:34:09 EDT
Created attachment 621095 [details]
File: maps
Comment 7 filp 2012-10-03 15:34:10 EDT
Created attachment 621096 [details]
File: dso_list
Comment 8 filp 2012-10-03 15:34:13 EDT
Created attachment 621097 [details]
File: var_log_messages
Comment 9 filp 2012-10-03 15:34:14 EDT
Created attachment 621098 [details]
File: open_fds
Comment 10 Kevin Fenzi 2012-10-03 16:00:53 EDT
So, anytime you start it it crashes this way? 

Can you run it from a terminal and attach the output?

Also, if you make a new user and login as them does it work?
Comment 11 filp 2012-10-03 19:11:06 EDT
phil@lab1 /common1/phil
147 files 114M -> /usr/bin/orage
** Message: First Orage start. Searching default timezone.
** Message: Default timezone set to US/Eastern.
19:07:35 ** Message: Orage **: wakeup timer init 0
19:07:35 
** (orage:15563): WARNING **: ic_internal_file_open: too many top level components in calendar file /mail/phil/orage/orage.ics
19:07:35 ** Message: Orage **: Build alarm list: Added 0 alarms. Processed 9 events.
19:07:35 ** Message: Orage **: 	Found 18 alarms of which 0 are active. (Searched 0 recurring alarms.)
Segmentation fault (core dumped)
phil@lab1 /common1/phil
147 files 114M -> 

new user scenario to follow shortly.

Additional info:

calendar window appears briefly (approx 1 sec) on startup
/mail is nfs mount
Comment 12 filp 2012-10-03 19:29:06 EDT
New user test created via administration/users and groups from Applications Menu

test@lab1 /home/test
8 files 124K -> /usr/bin/orage

test@lab1 /home/test
8 files 124K -> /usr/bin/orage
19:23:49 ** Message: Orage **: wakeup timer init 0
19:23:49 ** Message: Orage **: Build alarm list: Added 0 alarms. Processed 0 events.
19:23:49 ** Message: Orage **: 	Found 0 alarms of which 0 are active. (Searched 0 recurring alarms.)


normal startup
Comment 13 Kevin Fenzi 2012-10-06 17:00:16 EDT
ok, so it's something in your data. 

Can you see if you can get a backtrace on it?
 
https://fedoraproject.org/wiki/StackTraces

That would be most helpfull. Thanks.
Comment 14 filp 2012-10-07 12:24:10 EDT
Manual start of orage from command line

backtrace_rating: 4
Package: orage-4.8.3-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 15 Fedora End Of Life 2013-07-04 02:07:32 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2013-08-01 13:33:55 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.